﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Domaine
{
    public class Panier
    {
        public IEnumerable<ProduitDuPanier> Produits;

        public decimal Total;

        public void ValiderLePanier()
        {
            if (Produits.Count() == 0)
                throw new Exception("Votre panier est vide");
            Produits.ValiderDisponibiliteDesProduits();

            Produits.ToList().ForEach(pro =>
                                          {
                                              pro.Produit.Stock -= pro.Quantite;
                                          });

            Total = Math.Round(Produits.Sum(x => x.Quantite * x.Produit.Prix), 2);
           
        }
    }
}